%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define name php-gtk 
%define rversion 1.0.1
%define release 2mdk

Summary:	GTK+ toolkit for php
Name:		%{name}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Source0:	%{name}-%{rversion}.tar.bz2
Patch0:		generator.patch.bz2
License:	LGPL
Group:		Development/Other
URL:		http://gtk.php.net/
BuildRequires:	php-devel >= 4.3.0
BuildRequires:	gtk+1.2-devel >= 1.2.6
BuildRequires:	gdk-pixbuf-devel
BuildRequires:  libgtk+extra-devel
#BuildRequires:  libGtkScintilla-devel
BuildRequires:	libglade-devel
BuildRequires:	php-cli
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	chrpath
Requires:	php
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PHP-GTK is an extension for PHP programming language 
that implements language bindings for GTK+ toolkit. 
It provides an object-oriented interface to GTK+ classes 
and functions and greatly simplifies writing client side 
cross-platform GUI applications.

%prep

%setup -q -n %{name}-%{rversion}
%patch0

%build
export WANT_AUTOCONF_2_5=1

./buildconf

rm -f configure; libtoolize --copy --force; aclocal-1.7; autoconf

#./buildconf
%configure2_5x \
	--enable-imlib \
	--enable-extra \
	--enable-gtkpixbuf \
	--disable-spaned
# undefined symbol: gtk_shpaned_new when enabling spaned
#	--enable-scintilla \
# undefined symbol: gtk_search_in_target when enabling scintilla

# parallell make won't work here...
make

chrpath -d modules/php_gtk.so

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -m755  modules/php_gtk.so %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/php/extensions/php_gtk.so
%doc test NEWS README TODO AUTHORS 

%changelog
* Thu Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.1-2mdk
- Enable additionnal modules

* Wed Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.1-1mdk
- 1.0.1

* Sat Jul 24 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.0-1mdk
- built for php 4.3.8
- remove rpath 

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.0-1mdk
- built for php 4.3.7
- misc spec file fixes

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0.0-1mdk
- built for php 4.3.4

* Fri Oct 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.0-1mdk
- 1.0.0

* Wed Oct 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-6mdk
- fix buildrequires

* Wed Oct 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-5mdk
- disable spaned
- add Requires php (thanks houpla)
- fix lib buildrequires

* Wed Apr 30 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-4mdk
- add BuildRequires php-cli

* Thu Feb 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-3mdk 
- from Pascal Terjan <CMoi@tuxfamily.org>
    - rebuild for new php
    - removed BuildRequire php-pear

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-2mdk
- rebuild for rpm and glibc

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-1mdk
- 0.5.2
- BuildRequires libglade-devel

* Sat Aug 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-2mdk
- from Pascal Terjan <CMoi@tuxfamily.org>
	- fix build

* Thu Aug 15 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-1mdk
- 1st mdk package
